/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sat May  1 09:41:09 CEST 2004
    copyright            : (C) 2004 by Erno Rigo
    email                : mcree@tricon.hu
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "sevenseas.h"
#include "foform.h"

static const char *description =
	I18N_NOOP("SevenSeas");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "sevenseas", I18N_NOOP("SevenSeas"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2004, Erno Rigo", 0, 0, "mcree@tricon.hu");
  aboutData.addAuthor("Erno Rigo",0, "mcree@tricon.hu");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication a;
  FoForm *foform = new FoForm();
  a.setMainWidget(foform);
  foform->show();  

  return a.exec();
}
